package Addressbook;

/*
 * dbXML Core - Example Code
 *
 * Copyright (c) 1999-2001 The dbXML Group
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 *    The above copyright notice and this permission notice shall be included
 *       in all copies of substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * $Id: Person.java,v 1.1 2001/08/08 04:56:14 kstaken Exp $
 */

// Class to hold individual contact data
public class Person {

   String dockey = null;
   String fname = null;
   String lname = null;
   String workphone = null;
   String homephone = null;
   String cellphone = null;
   String homeemail = null;
   String workemail = null;
   String homeaddress = null;
   String workaddress = null;
   
   // Document Key
   public void setDocKey(String key) {
      dockey = key;
   }
   
   public String getDocKey() {
      return dockey;
   }
   
   // First Name
   public void setFname(String name) {
      fname = name;
   }

   public String getFname() {
      return fname;
   }
   
   // Last Name
   public void setLname(String name) {
      lname = name;
   }
   
   public String getLname() {
      return lname;
   }
   
   // Work Phone
   public void setWorkPhone(String phone) {
      workphone = phone;
   }
   
   public String getWorkPhone() {
      return workphone;
   }
   
   // Home Phone
   public void setHomePhone(String phone) {
      homephone = phone;
   }
   
   public String getHomePhone() {
      return homephone;
   }
   
   // Cell Phone
   public void setCellPhone(String phone) {
      cellphone = phone;
   }
   
   public String getCellPhone() {
      return cellphone;
   }
   
   // Home email
   public void setHomeEmail(String email) {
      homeemail = email;
   }
   
   public String getHomeEmail() {
      return homeemail;
   }
   
   // Work Email
   public void setWorkEmail(String email) {
      workemail = email;
   }
   
   public String getWorkEmail() {
      return workemail;
   }
   
   // Home Address
   public void setHomeAddress(String address) {
      homeaddress = address;
   }
   
   public String getHomeAddress() {
      return homeaddress;
   }
   
   // Work Address
   public void setWorkAddress(String address) {
      workaddress = address;
   }
   
   public String getWorkAddress() {
      return workaddress;
   }

}
